/*
 * @Author       : xh
 * @Date         : 2022-06-21 19:59:42
 * @LastEditors: y001554
 * @FileName     :
 */
import './help.js'
import Citys from './citys/citys.vue'
// import Buttons from './buttons/buttons.vue'
import Dan from './dan/dan.vue'
import MounthPicker from './mounthPicker/mounthPicker.vue'
// import MounthRanges from './mounthRanges/mounthRanges.vue'
import Skus from './skus/skus.vue'
import BasicPage from './BasicPage/index.vue'
import GenContainer from './GenContainer/index.vue'
import GenDrawer from './GenDrawer/index.vue'
import GenForm from './GenForm/index.vue'
import GenSearch from './GenSearch/index.vue'
// import GenStatus from './GenStatus'
import GenModal from './GenModal/index.vue'
import GenTable from './GenTable/index.vue'

import './style/common.css'

const install = function (Vue) {
  // extend组件构造器
  // const newTables = Vue.extend(Tables)
  Vue.component('YpCity', Citys)
  Vue.component('YpDan', Dan)
  Vue.component('YpMounthPicker', MounthPicker)
  Vue.component('YpSkus', Skus)

  Vue.component('GenContainer', GenContainer)
  Vue.component('BasicPage', BasicPage)
  Vue.component('GenDrawer', GenDrawer)
  Vue.component('GenForm', GenForm)
  Vue.component('GenSearch', GenSearch)
  Vue.component('GenTable', GenTable)
  Vue.component('GenModal', GenModal)
  // console.log(`GenModal`, BasicPage)
  // debugger
}

// 注入 Vue
if (typeof window.Vue !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  Citys,
  // Buttons,
  Dan,
  MounthPicker,
  Skus,
  GenContainer,
  BasicPage,
  GenDrawer,
  GenForm,
  GenSearch,
  GenTable,
  GenModal
}
